메인 콘텐츠로 건너뛰기
POST
/
kling
/
v1
/
images
/
kolors-virtual-try-on
Virtual Try-On
curl --request POST \
  --url https://api.cometapi.com/kling/v1/images/kolors-virtual-try-on \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "human_image": "https://assets.christiandior.com/is/image/diorprod/LOOK_F_25_1_LOOK_095_E04?$lookDefault_GH-GHC$&crop=568,0,1864,2000&bfc=on&qlt=85",
  "cloth_image": "https://assets.christiandior.com/is/image/diorprod/511R59A1166X3389_E01?$default_GHC$&crop=501,147,998,1572&bfc=on&qlt=85"
}
'
{
  "code": 123,
  "message": "<string>",
  "request_id": "<string>",
  "data": {
    "task_id": "<string>",
    "task_status": "<string>",
    "task_status_msg": "<string>",
    "created_at": 123,
    "updated_at": 123,
    "task_result": {
      "images": [
        {
          "url": "<string>"
        }
      ]
    }
  }
}
이 엔드포인트를 사용해 인물 이미지 1장과 의류 이미지 1장으로 가상 피팅 이미지를 생성할 수 있습니다.

호출 전에 확인하세요

  • human_image 1개와 cloth_image 1개를 제공하세요
  • kolors-virtual-try-on-v1 또는 kolors-virtual-try-on-v1-5부터 시작하세요
  • 첫 테스트에는 깔끔한 의류 제품 사진이나 흰색 배경의 의류 이미지를 사용하세요

작업 흐름

1

피팅 작업 제출

인물 이미지와 의류 이미지를 전송한 뒤, 반환된 작업 id를 저장하세요.
2

작업 폴링

작업이 종료 상태에 도달하고 렌더링된 이미지를 반환할 때까지 개별 조회를 계속 진행하세요.
3

결과 저장

피팅 결과를 더 오래 보관해야 하는 경우 완료된 이미지를 자체 스토리지에 저장하세요.
전체 파라미터 참조는 공식 Kling 문서를 확인하세요.

인증

Authorization
string
header
필수

Bearer token authentication. Use your CometAPI key.

본문

application/json
human_image
string
기본값:example
필수

Person image to dress. Accepts an image URL or raw Base64 string (no data: prefix). Formats: JPG, JPEG, PNG. Max 10 MB, minimum 300×300 px.

cloth_image
string
기본값:example
필수

Clothing image for the try-on. Accepts an image URL or raw Base64 string (no data: prefix). Formats: JPG, JPEG, PNG. Max 10 MB, minimum 300×300 px. Supports tops, bottoms, and one-piece dresses. The v1-5 model also accepts a combined top+bottom image stitched together.

callback_url
string

Webhook URL for task status notifications.

model_name
enum<string>
기본값:kolors-virtual-try-on-v1

Virtual try-on model version.

사용 가능한 옵션:
kolors-virtual-try-on-v1,
kolors-virtual-try-on-v1-5

응답

200 - application/json

Successful Response

code
integer
필수

Error code; specifically define the error code

message
string
필수

error message

request_id
string
필수

Request ID, system-generated, for tracking requests, troubleshooting issues

data
object
필수